Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.html2
Class JRexHTMLButtonElementImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexNodeImpl
          org.mozilla.jrex.dom.JRexElementImpl
              org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
                  org.mozilla.jrex.dom.html2.JRexHTMLButtonElementImpl

All Implemented Interfaces:
  Element, HTMLButtonElement, HTMLElement, Node

public class JRexHTMLButtonElementImpl
extends JRexHTMLElementImpl
implements HTMLButtonElement

A class implementing org.w3c.dom.html2.HTMLButtonElement interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `HTMLButtonElement`

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getAccessKey()` A single character access key to give access to the form control.
`boolean` | `getDisabled()` The control is unavailable in this context.
`HTMLFormElement` | `getForm()` Returns the `FORM` element containing this control.
`String` | `getName()` Form control or object name when submitted with a form.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`String` | `getType()` The type of button (all lower case).
`String` | `getValue()` The current form control value.
`void` | `setAccessKey(String accessKey)` A single character access key to give access to the form control.
`void` | `setDisabled(boolean disabled)` The control is unavailable in this context.
`void` | `setName(String name)` Form control or object name when submitted with a form.
`void` | `setTabIndex(int tabIndex)` Index that represents the element's position in the tabbing order.
`void` | `setValue(String value)` The current form control value.

Methods inherited from class org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.mozilla.jrex.dom.JRexElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.mozilla.jrex.dom.JRexNodeImpl
`appendChild, cloneNode, dispose, equals, finalize, getAttributes, getChildNodes, getEventTarget, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, hashCode, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, toString`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getForm

    public HTMLFormElement getForm()

  Description copied from interface: `HTMLButtonElement`
  Returns the `FORM` element containing this control. Returns `null` if this control is not within the context of a form.

  Specified by:
    `getForm` in interface `HTMLButtonElement`

### getAccessKey

    public String getAccessKey()

  Description copied from interface: `HTMLButtonElement`
  A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.01.

  Specified by:
    `getAccessKey` in interface `HTMLButtonElement`

### setAccessKey

    public void setAccessKey(String accessKey)

  Description copied from interface: `HTMLButtonElement`
  A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.01.

  Specified by:
    `setAccessKey` in interface `HTMLButtonElement`

### getDisabled

    public boolean getDisabled()

  Description copied from interface: `HTMLButtonElement`
  The control is unavailable in this context. See the disabled attribute definition in HTML 4.01.

  Specified by:
    `getDisabled` in interface `HTMLButtonElement`

### setDisabled

    public void setDisabled(boolean disabled)

  Description copied from interface: `HTMLButtonElement`
  The control is unavailable in this context. See the disabled attribute definition in HTML 4.01.

  Specified by:
    `setDisabled` in interface `HTMLButtonElement`

### getName

    public String getName()

  Description copied from interface: `HTMLButtonElement`
  Form control or object name when submitted with a form. See the name attribute definition in HTML 4.01.

  Specified by:
    `getName` in interface `HTMLButtonElement`

### setName

    public void setName(String name)

  Description copied from interface: `HTMLButtonElement`
  Form control or object name when submitted with a form. See the name attribute definition in HTML 4.01.

  Specified by:
    `setName` in interface `HTMLButtonElement`

### getTabIndex

    public int getTabIndex()

  Description copied from interface: `HTMLButtonElement`
  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.01.

  Specified by:
    `getTabIndex` in interface `HTMLButtonElement`

### setTabIndex

    public void setTabIndex(int tabIndex)

  Description copied from interface: `HTMLButtonElement`
  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.01.

  Specified by:
    `setTabIndex` in interface `HTMLButtonElement`

### getType

    public String getType()

  Description copied from interface: `HTMLButtonElement`
  The type of button (all lower case). See the type attribute definition in HTML 4.01.

  Specified by:
    `getType` in interface `HTMLButtonElement`

### getValue

    public String getValue()

  Description copied from interface: `HTMLButtonElement`
  The current form control value. See the value attribute definition in HTML 4.01.

  Specified by:
    `getValue` in interface `HTMLButtonElement`

### setValue

    public void setValue(String value)

  Description copied from interface: `HTMLButtonElement`
  The current form control value. See the value attribute definition in HTML 4.01.

  Specified by:
    `setValue` in interface `HTMLButtonElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.